const Koa = require('koa');
const app = new Koa();
const bodyParser = require('koa-bodyparser');
const cors = require('koa2-cors');
const query = require('./db/index');
const router = require('./router/index');
const session = require('koa-session-minimal');
const MysqlSession = require('koa-mysql-session');
const authRole=require('./middleware/auth')

// 配置存储session信息的mysql
let store = new MysqlSession({
    user: 'root',
    password: 'root',
    database: '2001C',
    host: 'localhost',
})

// 存放sessionId的cookie配置，根据情况自己设定
let cookie = {
    maxAge: 20 * 60 * 1000, // cookie有效时长(ms)
    expires: '', // cookie失效时间
    path: '', // 写cookie所在的路径
    domain: '', // 写cookie所在的域名
    httpOnly: true, // 是否只用于http请求中获取
    overwrite: true, // 是否允许重写
    secure: '',
    sameSite: '',
    signed: true,
}
app.use(session({
    key: 'SESSION_ID',
    store: store,
    cookie: cookie
}))

app
    .use(authRole())
    .use(cors())
    .use(bodyParser())
    .use(router())
    .listen(3000, () => {
        console.log('http://localhost:3000');
    });